Stop Single Payment

Cancel a previously initiated single payout before it is processed by the bank

Stop Single Payments API allows businesses to request the cancellation of an existing single payout transaction that has already been submitted for processing.

This API is typically used when a payment needs to be stopped due to duplicate processing, incorrect beneficiary details, operational errors, or customer requests.

Cancellation requests are subject to bank processing rules and the current status of the payment. Successfully submitting a cancellation request does not guarantee that the payment will be stopped if it has already been processed by the bank.

ℹ️

Important information

  • This service is not supported for Single Instant Payments.
  • Stop Payment service is available only for Scheduled Payments and can be requested up to two days prior to the payment value date or scheduled execution date.
🌐

Domain details

EnvironmentDomainRate/Limit
Sandboxsandboxapi.onesingleview.com10 Calls per Minute
Production/LIVETo be provided upon onboardingBased on contract

Process a Stop Payment Function

Endpoint details

Endpoint URLMethodAuthentication requirements
/api/v2/cancel/payment/POST
  1. SVReferenceID
  2. CompanyId
  3. Device
  4. DateTimeStamp
  5. Authorization: Bearer (Token)

Sample request

curl --location 'https://sandboxapi.onesingleview.com/api/v2/cancel/payment' \
--header 'SVReferenceID: 29214008782670' \
--header 'CompanyId: SVUATAPIDASHBOARD' \
--header 'Device: web' \
--header 'DateTimeStamp: 2026-06-23T10:20:39' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNaVN4MzdCZHREWlNGdTFad3B5QnlkOVpHelZXR2ZwUmFQNUYrZzB5YVg5bi9KVE5wK1FucERJMEZXWWN6VGJsOEc5cXhaY0U2TXlZbmNtWWZFMzZkdlFpTTRXeVBNalQ2WG1NUDh5YXI4RDVWZTV5c3h3dDRFektqdjdyS2tqQkpJcGo0VmJNeFlLbG5aNHc0V1ArT2FIVzNCNzkrUT0iLCJpYXQiOjE3ODIyMTM3MzUsImV4cCI6MTc4MjIxNzMzNX0.7YieIyFLapyIJ8fBw8gROzH8OqOlN650yrgFQ9xDqaU' \
--header 'Content-Type: application/json' \
--data '{
"Message": {
  "OSVCancelPaymentRequest": {
        "TransactionType": "CANCEL",
        "BankCode": "SABB",
        "CompanyCode": "SVIEWUAT",
        "CancelReason": "Cancel Payment 29214008782670",
        "ReferenceNumber": "29214008782670",
        "Id": "",   //Conditional mandatory for ANB
      }
},
"Signature": "szYN7DooWZFfnblL7isLasWXmOM/H3iWmHW04nAhAVTeXFyubbN/ztRT8d9h/uMU69YCNEmBiHYgiJswgyERUuY+JeaV0rdaEojjq0NAKojB3A0pqAINiVEa4hJLSpJYiSZwjDLYAbYWdOsaUSgzE6MgDuQHPRZc7qxD3ngUh9DtwKSkivpItAhhkQttqIyxntHVghGPzmtN/WAECcY9NN9ZrK8l31gLmxDb/BCjqh0wSXRgk9MNAWBmucamBeCzNCtQLIc3j0RUQTf4rBPeMgi7qf/2L66d+0Hpr4TzlHkmyn4deo+GxjgYEKqc0xP28PXsyvV6UKuWKmpEM+fTiA=="
}'

Request description

JSON TagRequirementDescriptionData type
OSVCancelPaymentRequestMandatoryRoot node containing the stop payment messageObject
TransactionTypeMandatoryDetails of the transaction type to be mentioned as CANCELString
BankCodeMandatoryUnique bank identification code
SABB - Saudi Awaal Bank
ANB - Arab National Bank
GIB - Gulf International Bank
String
CompanyCodeMandatorySender company code or identifier provided by the bank at the time of on-boardingString
CancelReasonMandatoryDetails about the reason for cancellation of the paymentString
ReferenceNumberMandatoryUnique identification number of the payment requested for cancellationString
IdConditional
_Mandatory for ANB_
Unique bank identification details of the paymentString
SignatureMandatoryEncrypted string generated using a Private Key/CA-Signed Certificate with SHA-256 and RSA (JCE Signature)String

Sample response

{
  "OSVCancelPaymentResponse": {
    "TimeStamp": "2026-06-23T10:20:39",
    "BankCode": "SABB",
    "CompanyCode": "SVIEWUAT",
    "ReferenceNumber": "911068939506634",
    "Id": "",
    "StatusCode": "Failed",
    "StatusDetail": "Client Certificate is not Matched"
  }
}

Responses description

JSON TagDescriptionData type
OSVCancelPaymentResponseTag carrying information on stop payment process responseObject
TimeStampTime denoting the fetching of response for the stop payment processDate
BankCodeUnique bank identification code
SABB - Saudi Awaal Bank
ANB - Arab National Bank
GIB - Gulf International Bank
String
CompanyCodeSender company Code/IdentifierString
ReferenceNumberUnique tracking identification number of the payment requestString
IdUnique bank identification details of the paymentString
StatusCodeCode representing status of the transaction in the requestString
StatusDetailDetails of the status code represented for the transaction in the requestString

Status Codes & Information

Transaction Status

StatusCodeStatusDetail
CompletedPayment stopped successfully.
FailedBank response description
Response_TimeoutTimeout! Unable to get response from the bank. Please try later or contact SingleView support.